## Index

### Modules

- constants
- generateKeyPair

### Classes

- ECDH

### Interfaces

- BasePrivateKeyEncodingOptions
- Certificate
- Cipher
- CipherCCM
- CipherCCMOptions
- CipherGCM
- CipherGCMOptions
- DSAKeyPairKeyObjectOptions
- DSAKeyPairOptions
- Decipher
- DecipherCCM
- DecipherGCM
- DiffieHellman
- ECKeyPairKeyObjectOptions
- ECKeyPairOptions
- Hash
- Hmac
- KeyObject
- KeyPairKeyObjectResult
- KeyPairSyncResult
- PrivateKeyInput
- PublicKeyInput
- RSAKeyPairKeyObjectOptions
- RSAKeyPairOptions
- RsaPrivateKey
- RsaPublicKey
- ScryptOptions
- SignPrivateKeyInput
- Signer
- Verify

### Type aliases

- Binary
- BinaryLike
- CipherCCMTypes
- CipherGCMTypes
- CipherKey
- ECDHKeyFormat
- HexBase64BinaryEncoding
- HexBase64Latin1Encoding
- KeyFormat
- KeyLike
- KeyObjectType
- KeyType
- Utf8AsciiBinaryEncoding
- Utf8AsciiLatin1Encoding

### Variables

- DEFAULT_ENCODING
- fips

### Functions

- createCipher
- createCipheriv
- createDecipher
- createDecipheriv
- createDiffieHellman
- createECDH
- createHash
- createHmac
- createPrivateKey
- createPublicKey
- createSecretKey
- createSign
- createVerify
- generateKeyPairSync
- getCiphers
- getCurves
- getDiffieHellman
- getHashes
- pbkdf2
- pbkdf2Sync
- privateDecrypt
- privateEncrypt
- pseudoRandomBytes
- publicDecrypt
- publicEncrypt
- randomBytes
- randomFill
- randomFillSync
- scrypt
- scryptSync
- timingSafeEqual

## Type aliases

### Binary

Binary: Buffer | TypedArray | DataView

- Defined in node_modules/@types/node/crypto.d.ts:151

### BinaryLike

BinaryLike: string | Binary

- Defined in node_modules/@types/node/crypto.d.ts:152

### CipherCCMTypes

CipherCCMTypes: "aes-128-ccm" | "aes-192-ccm" | "aes-256-ccm"

- Defined in node_modules/@types/node/crypto.d.ts:148

### CipherGCMTypes

CipherGCMTypes: "aes-128-gcm" | "aes-192-gcm" | "aes-256-gcm"

- Defined in node_modules/@types/node/crypto.d.ts:149

### CipherKey

CipherKey: BinaryLike | KeyObject

- Defined in node_modules/@types/node/crypto.d.ts:154

### ECDHKeyFormat

ECDHKeyFormat: "compressed" | "uncompressed" | "hybrid"

- Defined in node_modules/@types/node/crypto.d.ts:119

### HexBase64BinaryEncoding

HexBase64BinaryEncoding: "binary" | "base64" | "hex"

- Defined in node_modules/@types/node/crypto.d.ts:118

### HexBase64Latin1Encoding

HexBase64Latin1Encoding: "latin1" | "hex" | "base64"

- Defined in node_modules/@types/node/crypto.d.ts:116

### KeyFormat

KeyFormat: "pem" | "der"

- Defined in node_modules/@types/node/crypto.d.ts:397

### KeyLike

KeyLike: string | Buffer | KeyObject

- Defined in node_modules/@types/node/crypto.d.ts:269

### KeyObjectType

KeyObjectType: "secret" | "public" | "private"

- Defined in node_modules/@types/node/crypto.d.ts:134

### KeyType

KeyType: "rsa" | "dsa" | "ec"

- Defined in node_modules/@types/node/crypto.d.ts:396

### Utf8AsciiBinaryEncoding

Utf8AsciiBinaryEncoding: "utf8" | "ascii" | "binary"

- Defined in node_modules/@types/node/crypto.d.ts:117

### Utf8AsciiLatin1Encoding

Utf8AsciiLatin1Encoding: "utf8" | "ascii" | "latin1"

- Defined in node_modules/@types/node/crypto.d.ts:115

## Variables

### Const DEFAULT_ENCODING

DEFAULT_ENCODING: string

- Defined in node_modules/@types/node/crypto.d.ts:394

deprecated

  since v10.0.0

### Const fips

fips: boolean

- Defined in node_modules/@types/node/crypto.d.ts:110

deprecated

  since v10.0.0

## Functions

### createCipher

- createCipher(algorithm: CipherCCMTypes, password: BinaryLike, options: CipherCCMOptions): CipherCCM
- createCipher(algorithm: CipherGCMTypes, password: BinaryLike, options?: CipherGCMOptions): CipherGCM
- createCipher(algorithm: string, password: BinaryLike, options?: stream.TransformOptions): Cipher

- - Defined in node_modules/@types/node/crypto.d.ts:163
  deprecated

    since v10.0.0 use createCipheriv()

  #### Parameters

  - ##### algorithm: CipherCCMTypes

  - ##### password: BinaryLike

  - ##### options: CipherCCMOptions

  #### Returns CipherCCM

- - Defined in node_modules/@types/node/crypto.d.ts:165
  deprecated

    since v10.0.0 use createCipheriv()

  #### Parameters

  - ##### algorithm: CipherGCMTypes

  - ##### password: BinaryLike

  - ##### Optional options: CipherGCMOptions

  #### Returns CipherGCM

- - Defined in node_modules/@types/node/crypto.d.ts:167
  deprecated

    since v10.0.0 use createCipheriv()

  #### Parameters

  - ##### algorithm: string

  - ##### password: BinaryLike

  - ##### Optional options: stream.TransformOptions

  #### Returns Cipher

### createCipheriv

- createCipheriv(algorithm: CipherCCMTypes, key: CipherKey, iv: BinaryLike | null, options: CipherCCMOptions): CipherCCM
- createCipheriv(algorithm: CipherGCMTypes, key: CipherKey, iv: BinaryLike | null, options?: CipherGCMOptions): CipherGCM
- createCipheriv(algorithm: string, key: CipherKey, iv: BinaryLike | null, options?: stream.TransformOptions): Cipher

- - Defined in node_modules/@types/node/crypto.d.ts:169

  #### Parameters

  - ##### algorithm: CipherCCMTypes

  - ##### key: CipherKey

  - ##### iv: BinaryLike | null

  - ##### options: CipherCCMOptions

  #### Returns CipherCCM

- - Defined in node_modules/@types/node/crypto.d.ts:175

  #### Parameters

  - ##### algorithm: CipherGCMTypes

  - ##### key: CipherKey

  - ##### iv: BinaryLike | null

  - ##### Optional options: CipherGCMOptions

  #### Returns CipherGCM

- - Defined in node_modules/@types/node/crypto.d.ts:181

  #### Parameters

  - ##### algorithm: string

  - ##### key: CipherKey

  - ##### iv: BinaryLike | null

  - ##### Optional options: stream.TransformOptions

  #### Returns Cipher

### createDecipher

- createDecipher(algorithm: CipherCCMTypes, password: BinaryLike, options: CipherCCMOptions): DecipherCCM
- createDecipher(algorithm: CipherGCMTypes, password: BinaryLike, options?: CipherGCMOptions): DecipherGCM
- createDecipher(algorithm: string, password: BinaryLike, options?: stream.TransformOptions): Decipher

- - Defined in node_modules/@types/node/crypto.d.ts:205
  deprecated

    since v10.0.0 use createCipheriv()

  #### Parameters

  - ##### algorithm: CipherCCMTypes

  - ##### password: BinaryLike

  - ##### options: CipherCCMOptions

  #### Returns DecipherCCM

- - Defined in node_modules/@types/node/crypto.d.ts:207
  deprecated

    since v10.0.0 use createCipheriv()

  #### Parameters

  - ##### algorithm: CipherGCMTypes

  - ##### password: BinaryLike

  - ##### Optional options: CipherGCMOptions

  #### Returns DecipherGCM

- - Defined in node_modules/@types/node/crypto.d.ts:209
  deprecated

    since v10.0.0 use createCipheriv()

  #### Parameters

  - ##### algorithm: string

  - ##### password: BinaryLike

  - ##### Optional options: stream.TransformOptions

  #### Returns Decipher

### createDecipheriv

- createDecipheriv(algorithm: CipherCCMTypes, key: BinaryLike, iv: BinaryLike | null, options: CipherCCMOptions): DecipherCCM
- createDecipheriv(algorithm: CipherGCMTypes, key: BinaryLike, iv: BinaryLike | null, options?: CipherGCMOptions): DecipherGCM
- createDecipheriv(algorithm: string, key: BinaryLike, iv: BinaryLike | null, options?: stream.TransformOptions): Decipher

- - Defined in node_modules/@types/node/crypto.d.ts:211

  #### Parameters

  - ##### algorithm: CipherCCMTypes

  - ##### key: BinaryLike

  - ##### iv: BinaryLike | null

  - ##### options: CipherCCMOptions

  #### Returns DecipherCCM

- - Defined in node_modules/@types/node/crypto.d.ts:217

  #### Parameters

  - ##### algorithm: CipherGCMTypes

  - ##### key: BinaryLike

  - ##### iv: BinaryLike | null

  - ##### Optional options: CipherGCMOptions

  #### Returns DecipherGCM

- - Defined in node_modules/@types/node/crypto.d.ts:223

  #### Parameters

  - ##### algorithm: string

  - ##### key: BinaryLike

  - ##### iv: BinaryLike | null

  - ##### Optional options: stream.TransformOptions

  #### Returns Decipher

### createDiffieHellman

- createDiffieHellman(prime_length: number, generator?: number | Binary): DiffieHellman
- createDiffieHellman(prime: Binary): DiffieHellman
- createDiffieHellman(prime: string, prime_encoding: HexBase64Latin1Encoding): DiffieHellman
- createDiffieHellman(prime: string, prime_encoding: HexBase64Latin1Encoding, generator: number | Binary): DiffieHellman
- createDiffieHellman(prime: string, prime_encoding: HexBase64Latin1Encoding, generator: string, generator_encoding: HexBase64Latin1Encoding): DiffieHellman

- - Defined in node_modules/@types/node/crypto.d.ts:287

  #### Parameters

  - ##### prime_length: number

  - ##### Optional generator: number | Binary

  #### Returns DiffieHellman

- - Defined in node_modules/@types/node/crypto.d.ts:288

  #### Parameters

  - ##### prime: Binary

  #### Returns DiffieHellman

- - Defined in node_modules/@types/node/crypto.d.ts:289

  #### Parameters

  - ##### prime: string

  - ##### prime_encoding: HexBase64Latin1Encoding

  #### Returns DiffieHellman

- - Defined in node_modules/@types/node/crypto.d.ts:290

  #### Parameters

  - ##### prime: string

  - ##### prime_encoding: HexBase64Latin1Encoding

  - ##### generator: number | Binary

  #### Returns DiffieHellman

- - Defined in node_modules/@types/node/crypto.d.ts:291

  #### Parameters

  - ##### prime: string

  - ##### prime_encoding: HexBase64Latin1Encoding

  - ##### generator: string

  - ##### generator_encoding: HexBase64Latin1Encoding

  #### Returns DiffieHellman

### createECDH

- createECDH(curve_name: string): ECDH

- - Defined in node_modules/@types/node/crypto.d.ts:391

  #### Parameters

  - ##### curve_name: string

  #### Returns ECDH

### createHash

- createHash(algorithm: string, options?: stream.TransformOptions): Hash

- - Defined in node_modules/@types/node/crypto.d.ts:112

  #### Parameters

  - ##### algorithm: string

  - ##### Optional options: stream.TransformOptions

  #### Returns Hash

### createHmac

- createHmac(algorithm: string, key: BinaryLike, options?: stream.TransformOptions): Hmac

- - Defined in node_modules/@types/node/crypto.d.ts:113

  #### Parameters

  - ##### algorithm: string

  - ##### key: BinaryLike

  - ##### Optional options: stream.TransformOptions

  #### Returns Hmac

### createPrivateKey

- createPrivateKey(key: PrivateKeyInput | string | Buffer): KeyObject

- - Defined in node_modules/@types/node/crypto.d.ts:258

  #### Parameters

  - ##### key: PrivateKeyInput | string | Buffer

  #### Returns KeyObject

### createPublicKey

- createPublicKey(key: PublicKeyInput | string | Buffer): KeyObject

- - Defined in node_modules/@types/node/crypto.d.ts:259

  #### Parameters

  - ##### key: PublicKeyInput | string | Buffer

  #### Returns KeyObject

### createSecretKey

- createSecretKey(key: Buffer): KeyObject

- - Defined in node_modules/@types/node/crypto.d.ts:260

  #### Parameters

  - ##### key: Buffer

  #### Returns KeyObject

### createSign

- createSign(algorithm: string, options?: stream.WritableOptions): Signer

- - Defined in node_modules/@types/node/crypto.d.ts:262

  #### Parameters

  - ##### algorithm: string

  - ##### Optional options: stream.WritableOptions

  #### Returns Signer

### createVerify

- createVerify(algorith: string, options?: stream.WritableOptions): Verify

- - Defined in node_modules/@types/node/crypto.d.ts:278

  #### Parameters

  - ##### algorith: string

  - ##### Optional options: stream.WritableOptions

  #### Returns Verify

### generateKeyPairSync

- generateKeyPairSync(type: "rsa", options: RSAKeyPairOptions<"pem", "pem">): KeyPairSyncResult<string, string>
- generateKeyPairSync(type: "rsa", options: RSAKeyPairOptions<"pem", "der">): KeyPairSyncResult<string, Buffer>
- generateKeyPairSync(type: "rsa", options: RSAKeyPairOptions<"der", "pem">): KeyPairSyncResult<Buffer, string>
- generateKeyPairSync(type: "rsa", options: RSAKeyPairOptions<"der", "der">): KeyPairSyncResult<Buffer, Buffer>
- generateKeyPairSync(type: "rsa", options: RSAKeyPairKeyObjectOptions): KeyPairKeyObjectResult
- generateKeyPairSync(type: "dsa", options: DSAKeyPairOptions<"pem", "pem">): KeyPairSyncResult<string, string>
- generateKeyPairSync(type: "dsa", options: DSAKeyPairOptions<"pem", "der">): KeyPairSyncResult<string, Buffer>
- generateKeyPairSync(type: "dsa", options: DSAKeyPairOptions<"der", "pem">): KeyPairSyncResult<Buffer, string>
- generateKeyPairSync(type: "dsa", options: DSAKeyPairOptions<"der", "der">): KeyPairSyncResult<Buffer, Buffer>
- generateKeyPairSync(type: "dsa", options: DSAKeyPairKeyObjectOptions): KeyPairKeyObjectResult
- generateKeyPairSync(type: "ec", options: ECKeyPairOptions<"pem", "pem">): KeyPairSyncResult<string, string>
- generateKeyPairSync(type: "ec", options: ECKeyPairOptions<"pem", "der">): KeyPairSyncResult<string, Buffer>
- generateKeyPairSync(type: "ec", options: ECKeyPairOptions<"der", "pem">): KeyPairSyncResult<Buffer, string>
- generateKeyPairSync(type: "ec", options: ECKeyPairOptions<"der", "der">): KeyPairSyncResult<Buffer, Buffer>
- generateKeyPairSync(type: "ec", options: ECKeyPairKeyObjectOptions): KeyPairKeyObjectResult

- - Defined in node_modules/@types/node/crypto.d.ts:499

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"pem", "pem">

  #### Returns KeyPairSyncResult<string, string>

- - Defined in node_modules/@types/node/crypto.d.ts:500

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"pem", "der">

  #### Returns KeyPairSyncResult<string, Buffer>

- - Defined in node_modules/@types/node/crypto.d.ts:501

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"der", "pem">

  #### Returns KeyPairSyncResult<Buffer, string>

- - Defined in node_modules/@types/node/crypto.d.ts:502

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"der", "der">

  #### Returns KeyPairSyncResult<Buffer, Buffer>

- - Defined in node_modules/@types/node/crypto.d.ts:503

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairKeyObjectOptions

  #### Returns KeyPairKeyObjectResult

- - Defined in node_modules/@types/node/crypto.d.ts:505

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"pem", "pem">

  #### Returns KeyPairSyncResult<string, string>

- - Defined in node_modules/@types/node/crypto.d.ts:506

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"pem", "der">

  #### Returns KeyPairSyncResult<string, Buffer>

- - Defined in node_modules/@types/node/crypto.d.ts:507

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"der", "pem">

  #### Returns KeyPairSyncResult<Buffer, string>

- - Defined in node_modules/@types/node/crypto.d.ts:508

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"der", "der">

  #### Returns KeyPairSyncResult<Buffer, Buffer>

- - Defined in node_modules/@types/node/crypto.d.ts:509

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairKeyObjectOptions

  #### Returns KeyPairKeyObjectResult

- - Defined in node_modules/@types/node/crypto.d.ts:511

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"pem", "pem">

  #### Returns KeyPairSyncResult<string, string>

- - Defined in node_modules/@types/node/crypto.d.ts:512

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"pem", "der">

  #### Returns KeyPairSyncResult<string, Buffer>

- - Defined in node_modules/@types/node/crypto.d.ts:513

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"der", "pem">

  #### Returns KeyPairSyncResult<Buffer, string>

- - Defined in node_modules/@types/node/crypto.d.ts:514

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"der", "der">

  #### Returns KeyPairSyncResult<Buffer, Buffer>

- - Defined in node_modules/@types/node/crypto.d.ts:515

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairKeyObjectOptions

  #### Returns KeyPairKeyObjectResult

### getCiphers

- getCiphers(): string[]

- - Defined in node_modules/@types/node/crypto.d.ts:367

  #### Returns string[]

### getCurves

- getCurves(): string[]

- - Defined in node_modules/@types/node/crypto.d.ts:368

  #### Returns string[]

### getDiffieHellman

- getDiffieHellman(group_name: string): DiffieHellman

- - Defined in node_modules/@types/node/crypto.d.ts:313

  #### Parameters

  - ##### group_name: string

  #### Returns DiffieHellman

### getHashes

- getHashes(): string[]

- - Defined in node_modules/@types/node/crypto.d.ts:369

  #### Returns string[]

### pbkdf2

- pbkdf2(password: BinaryLike, salt: BinaryLike, iterations: number, keylen: number, digest: string, callback: function): void

- - Defined in node_modules/@types/node/crypto.d.ts:314

  #### Parameters

  - ##### password: BinaryLike

  - ##### salt: BinaryLike

  - ##### iterations: number

  - ##### keylen: number

  - ##### digest: string

  - ##### callback: function

    - - (err: Error | null, derivedKey: Buffer): any

      - #### Parameters

        - ##### err: Error | null

        - ##### derivedKey: Buffer

        #### Returns any

  #### Returns void

### pbkdf2Sync

- pbkdf2Sync(password: BinaryLike, salt: BinaryLike, iterations: number, keylen: number, digest: string): Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:322

  #### Parameters

  - ##### password: BinaryLike

  - ##### salt: BinaryLike

  - ##### iterations: number

  - ##### keylen: number

  - ##### digest: string

  #### Returns Buffer

### privateDecrypt

- privateDecrypt(private_key: RsaPrivateKey | KeyLike, buffer: Binary): Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:364

  #### Parameters

  - ##### private_key: RsaPrivateKey | KeyLike

  - ##### buffer: Binary

  #### Returns Buffer

### privateEncrypt

- privateEncrypt(private_key: RsaPrivateKey | KeyLike, buffer: Binary): Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:365

  #### Parameters

  - ##### private_key: RsaPrivateKey | KeyLike

  - ##### buffer: Binary

  #### Returns Buffer

### pseudoRandomBytes

- pseudoRandomBytes(size: number): Buffer
- pseudoRandomBytes(size: number, callback: function): void

- - Defined in node_modules/@types/node/crypto.d.ts:326

  #### Parameters

  - ##### size: number

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:327

  #### Parameters

  - ##### size: number

  - ##### callback: function

    - - (err: Error | null, buf: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### buf: Buffer

        #### Returns void

### publicDecrypt

- publicDecrypt(public_key: RsaPublicKey | KeyLike, buffer: Binary): Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:366

  #### Parameters

  - ##### public_key: RsaPublicKey | KeyLike

  - ##### buffer: Binary

  #### Returns Buffer

### publicEncrypt

- publicEncrypt(public_key: RsaPublicKey | KeyLike, buffer: Binary): Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:363

  #### Parameters

  - ##### public_key: RsaPublicKey | KeyLike

  - ##### buffer: Binary

  #### Returns Buffer

### randomBytes

- randomBytes(size: number): Buffer
- randomBytes(size: number, callback: function): void

- - Defined in node_modules/@types/node/crypto.d.ts:324

  #### Parameters

  - ##### size: number

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:325

  #### Parameters

  - ##### size: number

  - ##### callback: function

    - - (err: Error | null, buf: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### buf: Buffer

        #### Returns void

### randomFill

- randomFill<T>(buffer: T, callback: function): void
- randomFill<T>(buffer: T, offset: number, callback: function): void
- randomFill<T>(buffer: T, offset: number, size: number, callback: function): void

- - Defined in node_modules/@types/node/crypto.d.ts:330

  #### Type parameters

  - #### T: Binary

  #### Parameters

  - ##### buffer: T

  - ##### callback: function

    - - (err: Error | null, buf: T): void

      - #### Parameters

        - ##### err: Error | null

        - ##### buf: T

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:331

  #### Type parameters

  - #### T: Binary

  #### Parameters

  - ##### buffer: T

  - ##### offset: number

  - ##### callback: function

    - - (err: Error | null, buf: T): void

      - #### Parameters

        - ##### err: Error | null

        - ##### buf: T

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:332

  #### Type parameters

  - #### T: Binary

  #### Parameters

  - ##### buffer: T

  - ##### offset: number

  - ##### size: number

  - ##### callback: function

    - - (err: Error | null, buf: T): void

      - #### Parameters

        - ##### err: Error | null

        - ##### buf: T

        #### Returns void

### randomFillSync

- randomFillSync<T>(buffer: T, offset?: undefined | number, size?: undefined | number): T

- - Defined in node_modules/@types/node/crypto.d.ts:329

  #### Type parameters

  - #### T: Binary

  #### Parameters

  - ##### buffer: T

  - ##### Optional offset: undefined | number

  - ##### Optional size: undefined | number

  #### Returns T

### scrypt

- scrypt(password: BinaryLike, salt: BinaryLike, keylen: number, callback: function): void
- scrypt(password: BinaryLike, salt: BinaryLike, keylen: number, options: ScryptOptions, callback: function): void

- - Defined in node_modules/@types/node/crypto.d.ts:340

  #### Parameters

  - ##### password: BinaryLike

  - ##### salt: BinaryLike

  - ##### keylen: number

  - ##### callback: function

    - - (err: Error | null, derivedKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### derivedKey: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:345

  #### Parameters

  - ##### password: BinaryLike

  - ##### salt: BinaryLike

  - ##### keylen: number

  - ##### options: ScryptOptions

  - ##### callback: function

    - - (err: Error | null, derivedKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### derivedKey: Buffer

        #### Returns void

### scryptSync

- scryptSync(password: BinaryLike, salt: BinaryLike, keylen: number, options?: ScryptOptions): Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:352

  #### Parameters

  - ##### password: BinaryLike

  - ##### salt: BinaryLike

  - ##### keylen: number

  - ##### Optional options: ScryptOptions

  #### Returns Buffer

### timingSafeEqual

- timingSafeEqual(a: Binary, b: Binary): boolean

- - Defined in node_modules/@types/node/crypto.d.ts:392

  #### Parameters

  - ##### a: Binary

  - ##### b: Binary

  #### Returns boolean

Generated using TypeDoc